{
  "name": "admvote",
  "version": "1.0.0",
  "description": "Administrador de los votos",
  "main": "src/index.ts",
  "scripts": {
    "start": "node src/index.ts",
    "serve": "nodemon --legacy-watch src/index.ts",
    "docker": "docker-compose build && docker-compose up",
    "dev-d": "npm install --only=prod",
    "test": "echo \"Error: no test specified\" && exit 1",
    "html": "copyfiles --up 1 src/public/*.html ./dist",
    "img-png": "copyfiles --up 1 src/public/assets/img/*.png ./dist",
    "img-jpg": "copyfiles --up 1 src/public/assets/img/*.jpg ./dist",
    "img-webp": "copyfiles --up 1 src/public/assets/img/*.webp ./dist",
    "environments": "copyfiles --up 1 src/.env ./dist",
    "remove-dist": "rm -rf dist/",
    "package": "copyfiles package.json ./dist",
    "build": "npm run remove-dist && tsc && npm run html && npm run img-png && npm run img-jpg && npm run img-webp && npm run package",
    "build-contract": "truffle compile",
    "deploy-contract": "truffle deploy --network development",
    "networks-contract": "truffle networks"
  },
  "repository": {
    "type": "git",
    "url": "git@gitlab.com:voteblock1/backend/be-admvote.git"
  },
  "keywords": [
    "Administrador",
    "votos"
  ],
  "author": "scespedesg",
  "license": "ISC",
  "dependencies": {
    "bcrypt": "^5.0.0",
    "body-parser": "^1.19.0",
    "crypto-js": "^4.0.0",
    "express": "^4.17.1",
    "jsonwebtoken": "^8.5.1",
    "log4js": "^6.3.0",
    "mongoose": "^5.10.8",
    "morgan": "^1.10.0",
    "multer": "^1.4.2",
    "nodemailer": "^6.4.13",
    "truffle-contract": "^3.0.6",
    "underscore": "^1.11.0",
    "uuid": "^8.3.1",
    "web3": "^0.20.6"
  },
  "devDependencies": {
    "@types/bcrypt": "^3.0.0",
    "@types/body-parser": "^1.19.0",
    "@types/crypto-js": "^4.0.1",
    "@types/express": "^4.17.8",
    "@types/jsonwebtoken": "^8.5.0",
    "@types/log4js": "^2.3.5",
    "@types/mongoose": "^5.7.36",
    "@types/morgan": "^1.9.1",
    "@types/multer": "^1.4.4",
    "@types/nodemailer": "^6.4.0",
    "@types/underscore": "^1.10.24",
    "@types/uuid": "^8.3.0",
    "@types/web3": "^1.2.2",
    "chalk": "^4.1.0",
    "copyfiles": "^2.4.0",
    "mocha": "^5.2.0",
    "nodemon": "^2.0.4",
    "solc": "^0.4.24",
    "ts-node": "^9.0.0",
    "typescript": "^4.0.3"
  }
}
